version: "3.8"

services:
  email-parser:
    image: python:3.11-slim
    container_name: email-parser
    restart: "no"
    working_dir: /app
    volumes:
      - ./scripts:/app
      - /volume1/foxmail_eml:/foxmail_data:ro
      - /volume1/docker/email_pipeline/output:/output
    environment:
      - PYTHONUNBUFFERED=1
    command: python3 /app/01_parse.py --scan /foxmail_data --output /output
